Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1857686

Summary: Firefox hanging on autocomplete menus in jupyter
Product: [Fedora] Fedora Reporter: Jeroen Wouters <woutersj>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 32CC: 0xalen+redhat, anto.trande, elxreno, gecko-bugs-nobody, jhorak, john.j5live, kengert, petergmail, pjasicek, rhughes, rstrode, sandmann, stransky
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: firefox-81.0.1-4.fc32 firefox-81.0.1-4.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-05-25 16:34:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1054334    

Description Jeroen Wouters 2020-07-16 11:05:14 UTC
Description of problem:
When using the auto-complete function in a Jupyter notebook (using the Tab key), a menu appears to show options. Switching between different options causes Firefox to hang for about a second.

Enabling webrender (gfx.webrender.all to true and gfx.webrender.enabled to true in about:config) solves this issue.


Version-Release number of selected component (if applicable):


How reproducible: always


Steps to Reproduce:
1. open a jupyter notebook (e.g. https://jupyter.org/try)
2. start typing a command
3. press tab
4. use arrow keys to switch between options

Actual results: firefox regularly hangs for about a second


Expected results: smooth switching


Additional info:

Comment 1 Martin Stransky 2020-07-21 09:20:21 UTC
Can you try X11 version of Firefox (firefox-x11 package)? Also can you try mozilla binary with a fresh profile?

How-to is here:
https://fedoraproject.org/wiki/How_to_debug_Firefox_problems?rd=Bug_info_Firefox#Testing_Mozilla_binaries

Thanks.

Comment 2 Jeroen Wouters 2020-09-09 12:21:40 UTC
The Fedora X11 package, as well as the Mozilla binary in X11 mode work as expected.

The Fedora Wayland package has the issues described above.

The Mozilla binary in Wayland mode (MOZ_ENABLE_WAYLAND=1) has a slightly different behaviour. When cycling through the menu with the arrow keys, everything works smoothly. However, when using the Page Up and Page Down keys, the browser hangs as well.

Comment 3 Martin Stransky 2020-09-09 12:50:45 UTC
Can you please give me more exact reproduction steps? I see that jupyter notebook for first time and I'm not familiar with any commands there or so.
When I just type in the notebook the tab does not give me any option.
Thanks.

Comment 4 Jeroen Wouters 2020-09-09 13:21:36 UTC
Sure. A more detailed set of steps is as follows:

1. Open https://jupyter.org/try
2. Click on "Try Classic Notebook" and wait for it to load
3. Add a new empty cell to the notebook by selecting "Insert" -> "Insert cell below"
4. Activate the new cell by clicking on it
4. type "import " into the new cell
5. Press the tab key to open up the autocomplete menu
6. Use the arrow or Page Up/Down keys to navigate the menu

Comment 5 Martin Stransky 2020-09-30 14:36:55 UTC
I do see that too, Thanks.

Comment 6 Martin Stransky 2020-10-02 10:43:03 UTC
*** Bug 1882029 has been marked as a duplicate of this bug. ***

Comment 7 Martin Stransky 2020-10-02 10:44:17 UTC
Should be fixed by firefox-81.0.1-4.fc32 / https://koji.fedoraproject.org/koji/buildinfo?buildID=1618850

Comment 8 Fedora Update System 2020-10-04 14:32:11 UTC
FEDORA-2020-a6ab788deb has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a6ab788deb

Comment 9 Fedora Update System 2020-10-04 14:32:12 UTC
FEDORA-2020-0754be54bb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0754be54bb

Comment 10 Martin Stransky 2020-10-04 14:33:30 UTC
Jeroen, please test the new packages if that fixes the freeze for you.
Thanks.

Comment 11 Fedora Update System 2020-10-05 01:50:59 UTC
FEDORA-2020-0754be54bb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-0754be54bb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-0754be54bb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-10-05 02:08:02 UTC
FEDORA-2020-a6ab788deb has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a6ab788deb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a6ab788deb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2020-10-05 17:32:50 UTC
FEDORA-2020-0754be54bb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-10-06 15:07:11 UTC
FEDORA-2020-a6ab788deb has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Martin Stransky 2020-10-30 07:34:28 UTC
We had to revert the fix due to OOM.

Comment 16 Fedora Program Management 2021-04-29 16:33:44 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2021-05-25 16:34:07 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.